Bug 57327 - hdparm settings limited to 8 disks
hdparm settings limited to 8 disks
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-12-10 10:29 EST by Cormack, Justin
Modified: 2014-03-16 22:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-07-16 15:50:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Cormack, Justin 2001-12-10 10:29:29 EST
Description of Problem:

the initscripts settings only set hdparm for 8 disks, it would be very
useful to increase this to (say) 16. I often only use master channels on
ide, so this is not really many disks.

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:

Actual Results:

Expected Results:

Additional Information:
Comment 1 James Ralston 2002-03-06 02:16:22 EST
Another problem with the current code in /etc/rc.d/rc.sysinit: it will only call
hdparm on disks, not cdroms.  Cdrom devices can also benefit by tuning with hdparm.

Long before I realized the /etc/sysconfig/harddisk* logic was in rc.sysinit, I
had patched it to look for files in the /etc/sysconfig/hdparm directory, where
the name of each file corresponded to the device it had settings for.  E.g.:


The contents of e.g. /etc/sysconfig/hdparm/hda were:

    HDPARM_ARGS='-d1 -m16 -c1 -A1 -u1 -X66'

IMO, this worked better than the current code in rc.sysinit.

I would be happy to clean up my old patch and give it to you.  If you want, I
can use the same format (more or less) as the existing /etc/sysconfig/harddisk*
files.  I could also add an /etc/sysconfig/hdparm/all file, which would
correspond to the current /etc/harddisks file.

If you (Red Hat) are interested in this, let me know.
Comment 2 James Ralston 2002-07-16 15:50:34 EDT
I believe that as of Red Hat 7.3, both of these problems have been corrected:
the /etc/sysconfig/harddisk* files can be used to set the parameters for up to
20 disks, and the parameters can be applied to any type of device.

I can't close this bug (because I'm not its owner), but IMHO, it should be
closed with CURRENTRELEASE...
Comment 3 Bill Nottingham 2002-07-16 18:18:22 EDT
Whoops, yeah, I missed this one when I added the code. This should be fixed in 7.3.
Comment 4 Bill Nottingham 2002-07-16 18:18:46 EDT
Whoops, yeah, I missed this one when I added the code. This should be fixed in 7.3.

Note You need to log in before you can comment on or make changes to this bug.